/***************************************************************************
                          console.h  -  description
                             -------------------
    begin                : Sun Oct 8 2000
    copyright            : (c) 2000 by Matthew Mastracci
    email                : mmastrac@canada.com
 ***************************************************************************/


/***************************************************************************
                          clouds.h  -  description
                             -------------------
    begin                : Sun Oct 1 2000
    copyright            : (c) 2000 by Matthew Mastracci
    email                : mmastrac@canada.com
 ***************************************************************************/

#ifndef CONSOLE_H
#define CONSOLE_H

#include <fstream>
#include <deque>

#include "glplatform.h"
#include "font.h"

using namespace std;

class CConsole
{
public:
	CConsole();
	~CConsole();

	void AddMessage( const char* szMessage, ... );

	void GLSetup();
	void GLRender();
	void GLTeardown();

	long g_lConsoleSize;
	long _lWidth, _lHeight;

protected:
	deque< string > _LastMessages;
	ofstream ofs;

	CFont _fConsole;
};

#endif