/***************************************************************************
                          sound.h  -  description
                             -------------------
    begin                : Thu Oct 12 2000
    copyright            : (c) 2000 by Matthew Mastracci
    email                : mmastrac@canada.com
 ***************************************************************************/


#ifndef SOUND_H
#define SOUND_H

#include "soundplatform.h"
#include "mixer.h"

class CSound
{
public:
	CSound();

	void Release();

protected:
#ifdef _WIN32
	CMixer*		_pMixer;
	LPMIXWAVE	_pWave;
#endif
	long		_lChannel;
	bool		_bPlaying;

	friend class CMixer;
};

#endif